Bug 452504 - libextractor: fails to load its plugins
libextractor: fails to load its plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libextractor (Show other bugs)
11
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
: 582530 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 09:41 EDT by Tomas Hoger
Modified: 2010-04-20 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 13:27:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-23 09:41:06 EDT
Description of problem:
libextractor fails to loads its plugins, at least on x86_64, making the package
completely useless (hence high severity / priority).

Version-Release number of selected component (if applicable):

$ rpm -q libextractor libextractor-plugins-base
libextractor-0.5.20b-1.fc8.x86_64
libextractor-plugins-base-0.5.20b-1.fc8.x86_64
(also affects F8's 0.5.18a-1.fc8)

Steps to Reproduce:

$ libextractor-extract libextractor-0.5.20b-1.fc8.x86_64.rpm
$

(no output)

$ strace -e trace=open libextractor-extract
libextractor-0.5.20b-1.fc8.x86_64.rpm 2>&1 | grep --color libextractor_rpm.so
open("/lib64/tls/libextractor_rpm.so", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/lib64/libextractor_rpm.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib64/tls/libextractor_rpm.so", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/lib64/libextractor_rpm.so", O_RDONLY) = -1 ENOENT (No such file or
directory)

(it does not try to load libextractor_rpm.so from /usr/lib64/libextractor)

$ LD_LIBRARY_PATH=/usr/lib64/libextractor libextractor-extract
libextractor-0.5.20b-1.fc8.x86_64.rpm
operating system - linux
resource-identifier - http://gnunet.org/libextractor/
group - System Environment/Libraries
packager - Fedora Project
license - GPL
copyright - GPL
vendor - Fedora Project
distribution - Unknown
size - 219484
build-host - x86-5
creation date - ����
description - libextractor is a simple library for keyword extraction.  libextractor
does not support all formats but supports a simple plugging mechanism
such that you can quickly add extractors for additional formats, even
without recompiling libextractor.  libextractor typically ships with a
dozen helper-libraries that can be used to obtain keywords from common
file-types.

libextractor is a part of the GNU project (http://www.gnu.org/).
summary - Simple library for keyword extraction
release - 1.fc8
version - 0.5.20b
title - libextractor
unknown - Binary RPM 3.0
mimetype - application/x-redhat-package-manager

(with LD_LIBRARY_PATH set to /usr/lib64/libextractor or proper .conf file in
/etc/ld.so.conf.d/ (+ldconfig), libextractor finally starts to work)

Additional info:
I have not checked i386 or other arches and different Fedora versions, but I
suspect they may be affected by the same problem.
Comment 1 Bug Zapper 2008-11-26 05:54:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Hoger 2008-11-26 06:06:11 EST
Confirmed with current F9 version -- libextractor-0.5.19a-1.fc9.x86_64
Comment 3 Bug Zapper 2009-06-09 21:44:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tomas Hoger 2009-06-10 02:50:28 EDT
Dear BugZappers, your bug spam does not seem help.

Confirmed in current F10 -- libextractor-0.5.20b-2.fc10.x86_64
Comment 5 Bug Zapper 2009-11-18 02:44:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tomas Hoger 2009-11-18 03:49:47 EST
Dear BugZappers, you're not helping here a bit.  How can one exclude this bug from your annoying comments so that it remains open until it's really fixed?  You only seem to provide a way to exclude for RFEs, packages reviews and trackers, and this is neither of them.

Bug still exists in libextractor-0.5.22-1.fc11.x86_64
Comment 7 Fedora Update System 2009-11-22 11:05:35 EST
libextractor-0.5.23-1200.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libextractor-0.5.23-1200.fc12
Comment 8 Fedora Update System 2009-11-22 11:15:55 EST
libextractor-0.5.22-1100.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libextractor-0.5.22-1100.fc11
Comment 9 Fedora Update System 2009-11-25 10:26:41 EST
libextractor-0.5.22-1100.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libextractor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12138
Comment 10 Tomas Hoger 2009-11-26 02:50:37 EST
Verified with libextractor-0.5.22-1100.fc11, modulo the fact that rpm test from comment #0 can no longer be used, as rpm plugin is disable / not built any more.  Thank you.
Comment 11 "FeRD" (Frank Dana) 2010-04-20 01:03:17 EDT
*** Bug 582530 has been marked as a duplicate of this bug. ***
Comment 12 "FeRD" (Frank Dana) 2010-04-20 01:16:34 EDT
This is marked "CLOSED ERRATA", but the updated packages never left updates-testing, at least for Fedora 12. Could libextractor-0.5.23-1200.fc12 be pushed to updates, please?

Note You need to log in before you can comment on or make changes to this bug.